package com.objis.demojsferror.exceptions;

public abstract class I18nException extends RuntimeException {
    private static final long serialVersionUID = 1L;
    final private Object[] arguments;
    protected I18nException(Object ...arguments) {
        super();
        this.arguments = arguments;
    }
    public Object[] getArguments(){
        return arguments;
    }
    public String getBundleKey(){
        return "exception." + getClass().getSimpleName();
    }
}


